NMSettingSerial: libnm Reference Manual

## NMSettingSerial NMSettingSerial — Describes connection properties for devices that use serial communications |

## Functions

NMSetting * | nm_setting_serial_new ()
guint | nm_setting_serial_get_baud ()
guint | nm_setting_serial_get_bits ()
NMSettingSerialParity | nm_setting_serial_get_parity ()
guint | nm_setting_serial_get_stopbits ()
guint64 | nm_setting_serial_get_send_delay ()

## Properties

guint | baud | Read / Write
guint | bits | Read / Write
NMSettingSerialParity | parity | Read / Write
guint64 | send-delay | Read / Write
guint | stopbits | Read / Write

## Types and Values

#define | NM_SETTING_SERIAL_SETTING_NAME
enum | NMSettingSerialParity
#define | NM_SETTING_SERIAL_BAUD
#define | NM_SETTING_SERIAL_BITS
#define | NM_SETTING_SERIAL_PARITY
#define | NM_SETTING_SERIAL_STOPBITS
#define | NM_SETTING_SERIAL_SEND_DELAY
| NMSettingSerial

## Object Hierarchy

        GEnum
        ╰── NMSettingSerialParity
        GObject
        ╰── NMSetting
            ╰── NMSettingSerial

## Description

The NMSettingSerial object is a NMSetting subclass that describes properties necessary for connections that may use serial communications, such as mobile broadband or analog telephone connections.

## Functions

### nm_setting_serial_new ()

    NMSetting *
    nm_setting_serial_new (void);

Creates a new NMSettingSerial object with default values.

#### Returns

the new empty NMSettingSerial object.

[transfer full]

### nm_setting_serial_get_baud ()

    guint
    nm_setting_serial_get_baud (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “baud” property of the setting

### nm_setting_serial_get_bits ()

    guint
    nm_setting_serial_get_bits (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “bits” property of the setting

### nm_setting_serial_get_parity ()

    NMSettingSerialParity
    nm_setting_serial_get_parity (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “parity” property of the setting

### nm_setting_serial_get_stopbits ()

    guint
    nm_setting_serial_get_stopbits (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “stopbits” property of the setting

### nm_setting_serial_get_send_delay ()

    guint64
    nm_setting_serial_get_send_delay (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “send-delay” property of the setting

## Types and Values

### NM_SETTING_SERIAL_SETTING_NAME

    #define NM_SETTING_SERIAL_SETTING_NAME "serial"

### enum NMSettingSerialParity

The parity setting of a serial port.

#### Members

NM_SETTING_SERIAL_PARITY_NONE | No parity bits (default) |
NM_SETTING_SERIAL_PARITY_EVEN | Even parity |
NM_SETTING_SERIAL_PARITY_ODD | Odd parity |

### NM_SETTING_SERIAL_BAUD

    #define NM_SETTING_SERIAL_BAUD       "baud"

### NM_SETTING_SERIAL_BITS

    #define NM_SETTING_SERIAL_BITS       "bits"

### NM_SETTING_SERIAL_PARITY

    #define NM_SETTING_SERIAL_PARITY     "parity"

### NM_SETTING_SERIAL_STOPBITS

    #define NM_SETTING_SERIAL_STOPBITS   "stopbits"

### NM_SETTING_SERIAL_SEND_DELAY

    #define NM_SETTING_SERIAL_SEND_DELAY "send-delay"

### NMSettingSerial

    typedef struct _NMSettingSerial NMSettingSerial;

Serial Link Settings

## Property Details

### The `“baud”` property

      “baud”                     guint

Speed to use for communication over the serial port. Note that this value usually has no effect for mobile broadband modems as they generally ignore speed settings and use the highest available speed.

Owner: NMSettingSerial

Flags: Read / Write

Default value: 57600

### The `“bits”` property

      “bits”                     guint

Byte-width of the serial communication. The 8 in "8n1" for example.

Owner: NMSettingSerial

Flags: Read / Write

Allowed values: [5,8]

Default value: 8

### The `“parity”` property

      “parity”                   NMSettingSerialParity

Parity setting of the serial port.

Owner: NMSettingSerial

Flags: Read / Write

Default value: NM_SETTING_SERIAL_PARITY_NONE

### The `“send-delay”` property

      “send-delay”               guint64

Time to delay between each byte sent to the modem, in microseconds.

Owner: NMSettingSerial

Flags: Read / Write

Default value: 0

### The `“stopbits”` property

      “stopbits”                 guint

Number of stop bits for communication on the serial port. Either 1 or 2. The 1 in "8n1" for example.

Owner: NMSettingSerial

Flags: Read / Write

Allowed values: [1,2]

Default value: 1